Package fr.gouv.vitam.metadata.core.metrics

# Class CommonMetadataMetrics

java.lang.Object
fr.gouv.vitam.metadata.core.metrics.CommonMetadataMetrics

public class CommonMetadataMetrics extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final io.prometheus.client.Counter`
  `LOG_SHIPPING_COUNTER`
  Count all log shipping events Even when the response is log shipping already running
  `static final io.prometheus.client.Histogram`
  `LOG_SHIPPING_DURATION`
  Compute metadata log shipping duration.
  `static final io.prometheus.client.Counter`
  `OBJECT_SCROLL_COUNTER`
  Count metadata stream documents
  `static final io.prometheus.client.Histogram`
  `OBJECT_SCROLL_DURATION_HISTOGRAM`
  Compute metadata stream document duration.
  `static final io.prometheus.client.Counter`
  `UNIT_SCROLL_COUNTER`
  Count metadata stream documents
  `static final io.prometheus.client.Histogram`
  `UNIT_SCROLL_DURATION_HISTOGRAM`
  Compute metadata stream document duration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonMetadataMetrics()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNIT_SCROLL_DURATION_HISTOGRAM

    public static final io.prometheus.client.Histogram UNIT_SCROLL_DURATION_HISTOGRAM
    Compute metadata stream document duration.

  - ### OBJECT_SCROLL_DURATION_HISTOGRAM

    public static final io.prometheus.client.Histogram OBJECT_SCROLL_DURATION_HISTOGRAM
    Compute metadata stream document duration.

  - ### UNIT_SCROLL_COUNTER

    public static final io.prometheus.client.Counter UNIT_SCROLL_COUNTER
    Count metadata stream documents

  - ### OBJECT_SCROLL_COUNTER

    public static final io.prometheus.client.Counter OBJECT_SCROLL_COUNTER
    Count metadata stream documents

  - ### LOG_SHIPPING_DURATION

    public static final io.prometheus.client.Histogram LOG_SHIPPING_DURATION
    Compute metadata log shipping duration. This will count number of events and sum durations This will only count effective log shipping and do not count the number off calls ended with (log shipping already running) To count all log shipping events, use

  - ### LOG_SHIPPING_COUNTER

    public static final io.prometheus.client.Counter LOG_SHIPPING_COUNTER
    Count all log shipping events Even when the response is log shipping already running

- ## Constructor Details

  - ### CommonMetadataMetrics

    public CommonMetadataMetrics()